Bug 461413 - LiveCD graphics fail on ABIT A-S78H with integrated ATI Radeon HD 3200
LiveCD graphics fail on ABIT A-S78H with integrated ATI Radeon HD 3200
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Patch, Reopened, Triaged
Depends On:
  Show dependency treegraph
Reported: 2008-09-07 10:50 EDT by David Tonhofer
Modified: 2013-01-09 23:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 01:22:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X log when starting X with only VGA (98.13 KB, text/x-log)
2008-10-20 12:28 EDT, Alex Wauck
no flags Details
X log when starting X with only HDMI (94.47 KB, text/x-log)
2008-10-20 12:32 EDT, Alex Wauck
no flags Details
X log when starting X with both VGA and HDMI (197.03 KB, text/x-log)
2008-10-20 12:33 EDT, Alex Wauck
no flags Details

  None (edit)
Description David Tonhofer 2008-09-07 10:50:27 EDT
Description of problem:

Trying to install Fedora 9 from the latest (as of 2009-09-07) Live CD.

The motherboard is an ABIT A-S78H with integrated ATI Radeon HD 3200 (this one: https://support.ati.com/ics/support/KBList.asp?folderID=11016). That motherboard has a VGA and HDMI connector.

Booting from the Live CD yields the following messages in text mode:

  Aperture beyond 4 GByte - Ignoring
  Unable to find persistent overlay - using temporary

The boot process then proceeds with video signal on both VGA and HDMI connectors. Howwever, after

  Starting udev:    [OK]

the video signal on HDMI is lost and only VGA still provides output.

Boot continues. Using "show details" on can see to the message

  Starting cups:

At which point VGA goes away too. 

The BIOS has the following config:

  Internal Graphics Mode: UMA (other would be "disabled", not good)
    UMA Frame Buffer Size:  Auto
    Frame Buffer Location:  Below 4G
    IGX Engine Clock Override: Disabled

How reproducible:

Comment 1 David Tonhofer 2008-09-07 10:59:27 EDT
Ouch. For "HDMI" above, read "DVI1". I'm getting old.
Comment 2 Matěj Cepl 2008-09-11 17:30:02 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

It is possible, that the logs might be in /tmp instead.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Alex Wauck 2008-10-20 12:24:32 EDT
I have a similar problem with the same video chipset.  If I start X with VGA connected but not HDMI, everything works fine (except that I would rather not use VGA).  If I start X with HDMI connected but not VGA, then I get nothing.  The monitor doesn't even get a signal.  If I use the radeonhd driver instead of radeon, HDMI works.  Also, fglrx works fine under Ubuntu.  So, this would appear to be a bug in the radeon driver.  In my case, the HDMI connection is a HDMI-to-DVI cable connected to the DVI port of my monitor.  I will attach my X logs to this bug.
Comment 4 Alex Wauck 2008-10-20 12:28:35 EDT
Created attachment 320881 [details]
X log when starting X with only VGA
Comment 5 Alex Wauck 2008-10-20 12:32:35 EDT
Created attachment 320882 [details]
X log when starting X with only HDMI
Comment 6 Alex Wauck 2008-10-20 12:33:32 EDT
Created attachment 320883 [details]
X log when starting X with both VGA and HDMI
Comment 7 Alex Wauck 2008-10-20 12:34:16 EDT
It looks like I didn't read the initial bug report carefully enough.  I am running Rawhide, not Fedora 9.
Comment 8 David Tonhofer 2008-10-21 05:14:18 EDT
Original Poster here. My ABIT motherboard seems to be dead as dead. I will replace it but by something different, so no X server logs are available.

Sorry about that.
Comment 9 Matěj Cepl 2008-10-21 18:56:02 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we have to close this bug as INSUFFICIENT_DATA.
Comment 10 Alex Wauck 2008-10-21 19:21:50 EDT
What about the logs I provided?  Since my problem is in Rawhide (and it's not quite the same), should I open a new bug for it?
Comment 11 Matěj Cepl 2008-10-24 15:27:33 EDT
I think we can recycle -- saving some electrons is good :-)
Comment 12 Alex Wauck 2008-10-25 11:38:28 EDT
The same problem occurs with Ubuntu 8.10 RC.  So, judging by that and the contents of the X logs, it looks like the root of the problem is that activating the HDMI (DVI) output on the Radeon HD 3200 is different than on the other cards, and the radeon driver thinks it knows how to activate it, but actually does not.  I find that very interesting, since it is precisely this sort of thing that AtomBIOS was supposed to prevent.  For whatever reason, the radeonhd driver knows how to activate the output, so there may be some simple change that will fix the radeon driver.  I'll take a look at the sources that Ubuntu is using and try to see if a solution jumps out at me.  I'm not a driver developer, so no promises.
Comment 13 Alex Wauck 2008-10-25 11:49:50 EDT
It looks to me like radeonhd is using the same encoder mode for both DVI and HDMI.  I'll try fiddling with the code and see if I can fix it.  Since the Radeon HD 3200 is the only non-antique ATI card I have access to, I can't guarantee that any fix I come up with doesn't break other cards.
Comment 14 Alex Wauck 2008-10-25 12:38:41 EDT
I "fixed" this bug in Ubuntu (bug report: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/289177) by replacing all instances of ATOM_ENCODER_MODE_HDMI with ATOM_ENCODER_MODE_DVI.  I have no idea what other effects that will have.
Comment 15 Bug Zapper 2008-11-25 21:59:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 16 Jóhann B. Guðmundsson 2008-12-01 06:18:33 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here

And report back if it either improves or fixes this issue..

Comment 17 Trond Danielsen 2008-12-02 05:25:56 EST
I just updated to the latest kernel and xorg-x11-drv-ati (as suggested in #16), and it does not solve the problem. According to Xorg.0.log the HDMI port is detected and enabled, but still there is no signal going to the screen (no signal as in orange instead of blue light :-) ).

The video controller is an ATI Radeon HD 3200 onboard controller (mb is Asus M3a78 Pro).

I can provide more information if that is required and also test patches for xorg-x11-drv-ati.
Comment 18 David Tonhofer 2008-12-05 09:37:20 EST
Hello. Although the "needinfo (d.tonhofer)" flag has been set on this report, I cannot help at the present time so as my ABIT motherboard looks to be a goner and I haven't RMAed it yet. Gomen asai.
Comment 19 Bug Zapper 2009-11-18 03:22:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 20 Bug Zapper 2009-12-18 01:22:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.